/// <reference types="youtube" />
import { YoutubeState } from '../components/UiYoutubePlayerModel';
declare const _sfc_main: import("vue").DefineComponent<{
    src: {
        type: StringConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    smPoster: {
        type: StringConstructor;
        required: false;
    };
    mdPoster: {
        type: StringConstructor;
        required: false;
    };
    lgPoster: {
        type: StringConstructor;
        required: false;
    };
    xlPoster: {
        type: StringConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    playsinline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    play: {
        type: BooleanConstructor;
        required: false;
    };
    cover: {
        type: BooleanConstructor;
        required: false;
    };
    preventCopy: {
        type: BooleanConstructor;
        required: false;
        default: () => boolean;
    };
    intersectedPlay: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}, {
    props: {
        src?: string | undefined;
        poster?: string | undefined;
        smPoster?: string | undefined;
        mdPoster?: string | undefined;
        lgPoster?: string | undefined;
        xlPoster?: string | undefined;
        autoplay?: boolean | undefined;
        muted?: boolean | undefined;
        controls?: boolean | undefined;
        loop?: boolean | undefined;
        width?: string | undefined;
        height?: string | undefined;
        playsinline: boolean;
        play?: boolean | undefined;
        cover?: boolean | undefined;
        preventCopy: boolean;
        intersectedPlay: boolean;
    };
    emit: (e: 'change', state: YoutubeState) => void;
    youtube: import("vue").Ref<import("vue").DefineComponent<{
        src: {
            type: import("vue").PropType<string>;
            required: true;
        };
        height: {
            type: import("vue").PropType<string | number>;
            default: number;
        };
        width: {
            type: import("vue").PropType<string | number>;
            default: number;
        };
        host: {
            type: import("vue").PropType<string>;
            default: string;
        };
        vars: import("vue").PropType<YT.PlayerVars>;
    }, unknown, {
        promise: Promise<void>;
        resolver: () => void;
        player: YT.Player | null;
        initiated: boolean;
        ready: boolean;
        iframeStyle: Record<string, string>;
    }, {
        id(): string;
        wrapperStyle(): Record<string, string>;
    }, {
        initPlayer(): void;
        cueVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        cueVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        cuePlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadPlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        playVideo(): void;
        pauseVideo(): void;
        stopVideo(): void;
        seekTo(seconds: number, allowSeekAhead: boolean): void;
        nextVideo(): void;
        previousVideo(): void;
        playVideoAt(index: number): void;
        mute(): void;
        unMute(): void;
        isMuted(): boolean;
        setVolume(volume: number): void;
        getVolume(): number;
        getPlaybackRate(): number;
        setPlaybackRate(suggestedRate: number): void;
        getAvailablePlaybackRates(): number[];
        setLoop(loopPlaylists: boolean): void;
        setShuffle(shufflePlaylist: boolean): void;
        getVideoLoadedFraction(): number;
        getPlayerState(): YT.PlayerState;
        getCurrentTime(): number;
        getPlaybackQuality(): YT.SuggestedVideoQuality;
        setPlaybackQuality(suggestedQuality: YT.SuggestedVideoQuality): void;
        getAvailableQualityLevels(): YT.SuggestedVideoQuality[];
        getDuration(): number;
        getVideoUrl(): string;
        getVideoEmbedCode(): string;
        getPlaylist(): string[];
        getPlaylistIndex(): number;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        src: string;
        height: string | number;
        width: string | number;
        host: string;
    } & {
        vars?: YT.PlayerVars | undefined;
    }>, {
        height: string | number;
        width: string | number;
        host: string;
    }>>;
    youtubePlayer: import("vue").Ref<HTMLDivElement | undefined>;
    state: import("vue").Ref<YoutubeState>;
    options: import("vue").ComputedRef<{
        controls: number;
        autoplay: number;
    }>;
    key: import("vue").Ref<number>;
    enableMountYoutubePlayer: import("vue").Ref<boolean>;
    reInit: () => void;
    initPlayer: () => number;
    youtubeSrc: import("vue").ComputedRef<string | undefined>;
    play: () => void;
    stop: () => void;
    onStateChange: ({ data }: {
        data: number;
    }) => void;
    onReady: () => void;
    observer: IntersectionObserver | undefined;
    consoleError: {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    readonly YouTube: import("vue").DefineComponent<{
        src: {
            type: import("vue").PropType<string>;
            required: true;
        };
        height: {
            type: import("vue").PropType<string | number>;
            default: number;
        };
        width: {
            type: import("vue").PropType<string | number>;
            default: number;
        };
        host: {
            type: import("vue").PropType<string>;
            default: string;
        };
        vars: import("vue").PropType<YT.PlayerVars>;
    }, unknown, {
        promise: Promise<void>;
        resolver: () => void;
        player: YT.Player | null;
        initiated: boolean;
        ready: boolean;
        iframeStyle: Record<string, string>;
    }, {
        id(): string;
        wrapperStyle(): Record<string, string>;
    }, {
        initPlayer(): void;
        cueVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        cueVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        cuePlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadPlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        playVideo(): void;
        pauseVideo(): void;
        stopVideo(): void;
        seekTo(seconds: number, allowSeekAhead: boolean): void;
        nextVideo(): void;
        previousVideo(): void;
        playVideoAt(index: number): void;
        mute(): void;
        unMute(): void;
        isMuted(): boolean;
        setVolume(volume: number): void;
        getVolume(): number;
        getPlaybackRate(): number;
        setPlaybackRate(suggestedRate: number): void;
        getAvailablePlaybackRates(): number[];
        setLoop(loopPlaylists: boolean): void;
        setShuffle(shufflePlaylist: boolean): void;
        getVideoLoadedFraction(): number;
        getPlayerState(): YT.PlayerState;
        getCurrentTime(): number;
        getPlaybackQuality(): YT.SuggestedVideoQuality;
        setPlaybackQuality(suggestedQuality: YT.SuggestedVideoQuality): void;
        getAvailableQualityLevels(): YT.SuggestedVideoQuality[];
        getDuration(): number;
        getVideoUrl(): string;
        getVideoEmbedCode(): string;
        getPlaylist(): string[];
        getPlaylistIndex(): number;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        src: string;
        height: string | number;
        width: string | number;
        host: string;
    } & {
        vars?: YT.PlayerVars | undefined;
    }>, {
        height: string | number;
        width: string | number;
        host: string;
    }>;
    UiPicture: import("vue").DefineComponent<{
        src: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        smSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        mdSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        lgSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        xlSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        alt: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        width: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        height: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        requestWidth: {
            type: import("vue").PropType<number | undefined>;
            required: false;
        };
        requestHeight: {
            type: import("vue").PropType<number | undefined>;
            required: false;
        };
        loadingWidth: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        loadingHeight: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        quality: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: number;
        };
        lazy: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
            default: () => boolean;
        };
        useResolutions: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
        };
        srcsetMaxResolution: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: () => number;
        };
        hideImageOnError: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
        };
        imageRatio: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: number;
        };
        errorImage: {
            type: import("vue").PropType<string | undefined>;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: import("vue").PropType<string | undefined>;
            required: false;
            default: () => string;
        };
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("pictureMouseover" | "pictureMouseleave")[], "pictureMouseover" | "pictureMouseleave", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        src: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        smSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        mdSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        lgSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        xlSrc: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        alt: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        width: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        height: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        requestWidth: {
            type: import("vue").PropType<number | undefined>;
            required: false;
        };
        requestHeight: {
            type: import("vue").PropType<number | undefined>;
            required: false;
        };
        loadingWidth: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        loadingHeight: {
            type: import("vue").PropType<string | undefined>;
            required: false;
        };
        quality: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: number;
        };
        lazy: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
            default: boolean;
        };
        preventCopy: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
            default: () => boolean;
        };
        useResolutions: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
        };
        srcsetMaxResolution: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: () => number;
        };
        hideImageOnError: {
            type: import("vue").PropType<boolean | undefined>;
            required: false;
        };
        imageRatio: {
            type: import("vue").PropType<number | undefined>;
            required: false;
            default: number;
        };
        errorImage: {
            type: import("vue").PropType<string | undefined>;
            required: false;
            default: () => string;
        };
        blankImage: {
            type: import("vue").PropType<string | undefined>;
            required: false;
            default: () => string;
        };
    }>> & {
        onPictureMouseover?: ((...args: any[]) => any) | undefined;
        onPictureMouseleave?: ((...args: any[]) => any) | undefined;
    }, {
        quality: number | undefined;
        lazy: boolean | undefined;
        preventCopy: boolean | undefined;
        srcsetMaxResolution: number | undefined;
        imageRatio: number | undefined;
        errorImage: string | undefined;
        blankImage: string | undefined;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    src: {
        type: StringConstructor;
        required: false;
    };
    poster: {
        type: StringConstructor;
        required: false;
    };
    smPoster: {
        type: StringConstructor;
        required: false;
    };
    mdPoster: {
        type: StringConstructor;
        required: false;
    };
    lgPoster: {
        type: StringConstructor;
        required: false;
    };
    xlPoster: {
        type: StringConstructor;
        required: false;
    };
    autoplay: {
        type: BooleanConstructor;
        required: false;
    };
    muted: {
        type: BooleanConstructor;
        required: false;
    };
    controls: {
        type: BooleanConstructor;
        required: false;
    };
    loop: {
        type: BooleanConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    playsinline: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    play: {
        type: BooleanConstructor;
        required: false;
    };
    cover: {
        type: BooleanConstructor;
        required: false;
    };
    preventCopy: {
        type: BooleanConstructor;
        required: false;
        default: () => boolean;
    };
    intersectedPlay: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    preventCopy: boolean;
    autoplay: boolean;
    controls: boolean;
    loop: boolean;
    muted: boolean;
    cover: boolean;
    playsinline: boolean;
    intersectedPlay: boolean;
    play: boolean;
}>;
export default _sfc_main;
