export type YoutubeState = "UNSTARTED" | "ENDED" | "PLAYING" | "PAUSED" | "BUFFERING" | "CUED"

export const parseYoutubeState = (playerState: number) => {
  if (playerState === -1) return "UNSTARTED"
  else if (playerState === 0) return "ENDED"
  else if (playerState === 1) return "PLAYING"
  else if (playerState === 2) return "PAUSED"
  else if (playerState === 3) return "BUFFERING"
  else if (playerState === 4) return "CUED"
  else return "UNSTARTED"
}

// Youtube script 초기화 여부를 판단하기 위해 사용함.
let youtubeCreated = 0

export const increaseYoutubeCreated = () => youtubeCreated++

export const youtubeCreatedCount = () => youtubeCreated