/**
 * FocusOnLoad
 * ```ts
 * import focusOnLoad from "@/lib/directive/FocusOnLoad"
 * defineComponent({
 *   directives: {focusOnLoad}
 * })
 * ```
 */
import {Directive, DirectiveBinding} from "vue"

function doFocus(el: Element): void {
  (el as HTMLElement).focus()
}

export default {
  mounted: (el: Element, binding: DirectiveBinding): void => {
    if ((binding.value === undefined) || String(binding.value) === 'true' || typeof (binding.value) === 'number') {
      if (typeof (binding.value) === 'number') {
        setTimeout(() => doFocus(el), binding.value)
      } else {
        doFocus(el)
      }
    }
  }
} as Directive